std::hash< nlohmann::json > Struct Template Reference

hash value for JSON objects More...

`#include <json.hpp>`

Collaboration diagram for std::hash< nlohmann::json >:

## Public Member Functions

std::size_t | operator() (const nlohmann::json &j) const
| return a hash value for a JSON object More...

## Detailed Description

### template<>
struct std::hash< nlohmann::json >

hash value for JSON objects

Definition at line 25871 of file json.hpp.

## Member Function Documentation

## operator()()

std::size_t std::hash< nlohmann::json >::operator() | ( | const nlohmann::json & | j | ) | const

inline

return a hash value for a JSON object

Since
  version 1.0.0

Definition at line 25878 of file json.hpp.

References nlohmann::detail::hash().

The documentation for this struct was generated from the following file:

- json.hpp